This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 150472 - system-config-packages doesn't tick installed packages
system-config-packages doesn't tick installed packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 09:21 EST by Liam Raymond
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liam Raymond 2005-03-07 09:21:39 EST
Description of problem:
when I installed FC3, i did the workstation, and added packages later.
this worked fine until I installed KDE, it installed it, and i can use
KDE fine, but when I went to install more packages, KDE was unticked,
I reticked it and it reinstalled, next time thesame thing happend, but
I left it unticked, KDE still works, but now the problem has spread to
some other components, only isolated ones, not a whole group like the
KDE group, it doesn't have much impact, but means up2date ignores the
unticked packages, Yum update seems to work, but not up2date or the
package manager.

system-config-packages-1.2.20-1

How reproducible:
Always

Steps to Reproduce:
1.install FC3 using workstation option
2.open the package manager and install KDE
3.quit and re-enter the package manager
  
Actual results:
KDE is not ticked, but is proprly installed

Expected results:
KDE ticked

Additional info:
A friend and I used the same install disks and he doesn't have the
problem, so the install disks are not the source of the problem.
Comment 1 John William 2005-06-17 19:01:44 EDT
Problem is still present as of FC4 (with system-config-packages-1.2.25-1). As 
an example, running from the command line gives:

* setting Icelandic Support to not installed
* setting ISO8859-9 Support to not installed
* setting Slovak Support to not installed
* setting Malay Support to not installed
* setting Czech Support to not installed
* fonts-korean-0:1.0.11-4.noarch not installed in group Korean Support
* setting Hindi Support to not installed
* setting PostgreSQL Database to not installed
* base references package cryptsetup which doesn't exist
* base references package openCryptoki which doesn't exist
* base references package prctl which doesn't exist
* setting Hungarian Support to not installed
* setting Bulgarian Support to not installed
* setting GNOME to not installed
* fonts-chinese-0:2.15-2.noarch not installed in group Chinese Support
* taipeifonts-0:1.2-26.noarch not installed in group Chinese Support
* eclipse-platform-1:3.1.0_fc-0.M6.22.i386 not installed in group Eclipse
* libswt3-gtk2-1:3.1.0_fc-0.M6.22.i386 not installed in group Eclipse
* setting Turkish Support to not installed
* setting Editors to not installed   <--- important line here
...

When I have the following packages installed:

emacs-21.4-5
emacs-common-21.4-5
emacs-leim-21.4-5
emacspeak-21.0-2

This should give me a check on "Editors" but it does not.
Comment 2 Jeremy Katz 2005-09-21 15:57:51 EDT
There are other packages which are mandatory in the editors group which weren't
installed which led to the confusion.  The plan for the next generation tool
which will be in FC5 will not have this problem

Note You need to log in before you can comment on or make changes to this bug.